﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ViewModel : BindableObject
    {
        public ObservableCollection<Model> data { get; set; }

        public ViewModel()
        {
            data = new ObservableCollection<Model>
            {
                new Model(new DateTime(2016, 1, 1), 25),
                new Model(new DateTime(2016, 2, 1), 40),
                new Model(new DateTime(2016, 3, 1), 20),
                new Model(new DateTime(2016, 4, 1), 47),
                new Model(new DateTime(2016, 5, 1), 35),
                new Model(new DateTime(2016, 6, 1), 28),
                new Model(new DateTime(2016, 7, 1), 44),
                new Model(new DateTime(2016, 8, 1), 38),
                new Model(new DateTime(2016, 9, 1), 20),
                new Model(new DateTime(2016, 10, 1), 48),
                new Model(new DateTime(2016, 11, 1), 32),
                new Model(new DateTime(2016, 12, 1), 45),
            };
        }
    }

    public class Model
    {
        public DateTime Date { get; set; }
        public double YValue { get; set; }

        public Model(DateTime date, double value)
        {
            Date = date;
            YValue = value;
        }
    }
}

